/***********************************************************************/
/*  FILE        :dbsct.c                                               */
/*  DESCRIPTION :Setting of B,R Section                                */
/*  CPU TYPE    :Other                                                 */
/***********************************************************************/

#include "typedefine.h"

#pragma unpack

#pragma section $DSEC
extern const struct {
    _UBYTE *rom_s;       /* Start address of the initialized data section in ROM */
    _UBYTE *rom_e;       /* End address of the initialized data section in ROM   */
    _UBYTE *ram_s;       /* Start address of the initialized data section in RAM */
}   _DTBL[] = {
    { __sectop("D"),			__secend("D"),				__sectop("R") },
    { __sectop("D_2"),			__secend("D_2"),			__sectop("R_2") },
    { __sectop("D_1"),			__secend("D_1"),			__sectop("R_1") },
    { __sectop("D_usblib"),		__secend("D_usblib"),		__sectop("R_usblib") },
    { __sectop("D_hcd"),		__secend("D_hcd"),			__sectop("R_hcd") },
    { __sectop("D_pcd"),		__secend("D_pcd"),			__sectop("R_pcd") },
    { __sectop("D_descriptor"),	__secend("D_descriptor"),	__sectop("R_descriptor") },
    { __sectop("D_hub"),		__secend("D_hub"),			__sectop("R_hub") },
    { __sectop("D_vndr"),		__secend("D_vndr"),			__sectop("R_vndr") },
    { __sectop("D_eletest"),	__secend("D_eletest"),		__sectop("R_eletest") },
    { __sectop("D_smpl"),		__secend("D_smpl"),			__sectop("R_smpl") },
    { __sectop("D_Dummy"),		__secend("D_Dummy"),		__sectop("R_Dummy") },
    { __sectop("D_testdata"),	__secend("D_testdata"),		__sectop("R_testdata") },

	// nonOS
    { __sectop("D_schedule"),	__secend("D_schedule"),		__sectop("R_schedule") },
    { __sectop("D_rx62n"),		__secend("D_rx62n"),		__sectop("R_rx62n") },
    { __sectop("PFRAM"),		__secend("PFRAM"),			__sectop("RPFRAM") },
	
	// Peri Msc
    { __sectop("D_sdram"),		__secend("D_sdram"),		__sectop("R_sdram") },
    { __sectop("D_pmsc"),		__secend("D_pmsc"),			__sectop("R_pmsc") },

	// DTC table
    { __sectop("D_DTCtable"),	__secend("D_DTCtable"),		__sectop("R_DTCtable") },
};

#pragma section $BSEC
extern const struct {
    _UBYTE *b_s;         /* Start address of non-initialized data section */
    _UBYTE *b_e;         /* End address of non-initialized data section */
}   _BTBL[] = {
    { __sectop("B"),			__secend("B") },
    { __sectop("B_2"),			__secend("B_2") },
    { __sectop("B_1"),			__secend("B_1") },
    { __sectop("B_usblib"),		__secend("B_usblib") },
    { __sectop("B_hcd"),		__secend("B_hcd") },
    { __sectop("B_pcd"),		__secend("B_pcd") },
    { __sectop("B_descriptor"),	__secend("B_descriptor") },
    { __sectop("B_hub"),		__secend("B_hub") },
    { __sectop("B_vndr"),		__secend("B_vndr") },
    { __sectop("B_eletest"),	__secend("B_eletest") },
    { __sectop("B_smpl"),		__secend("B_smpl") },
    { __sectop("B_Dummy"),		__secend("B_Dummy") },
    { __sectop("B_testdata"),	__secend("B_testdata") },

	// nonOS
    { __sectop("B_schedule"),	__secend("B_schedule") },
    { __sectop("B_rx62n"),		__secend("B_rx62n") },

	// Peri Msc
    { __sectop("B_sdram"),		__secend("B_sdram") },

	// DTC table
    { __sectop("B_DTCtable"),	__secend("B_DTCtable") },
};

#pragma section

/*
** CTBL prevents excessive output of L1100 messages when linking.
** Even if CTBL is deleted, the operation of the program does not change.
*/
_UBYTE *_CTBL[] = {
    __sectop("C_1"), __sectop("C_2"), __sectop("C"),
    __sectop("W_1"), __sectop("W_2"), __sectop("W")
};

#pragma packoption
