/*****************************************************************
	Sample start up program
 ****************************************************************/
#include	<machine.h>
#include	<_h_c_lib.h>
#include "usb_id.h"

#define	FPSW_init	0x00000100

#pragma section ResetPRG
#pragma entry PowerON_Reset_PC

#pragma stacksize su=0x400		// stack size
#pragma stacksize si=0x400		// stack size

extern unsigned char usb_gpmsc_DeviceDescriptor[];

/////////////////////////////////////////////////////////////////////////////
// Power-on Reset Program
/////////////////////////////////////////////////////////////////////////////
void PowerON_Reset_PC(void)
{
	set_isp(__secend("SI"));	/* Stack address */
	set_usp(__secend("SU"));	/* Stack address */
    set_intb(__sectop("INTERRUPT_VECTOR"));

	/* MCU initialized */
	usbc_cpu_McuInitialize();

	/* Section initialized */
	_INITSCT();
	/* Library initialized */
	/* _INITLIB(); */
	/* Low-level interface initialized */
	/* _INIT_LOWLEVEL(); */
	/* I/O library initialized */
	_INIT_IOLIB();
	/* Other library initialized */
	/* _INIT_OTHERLIB(); */


/* Condition compilation by the difference of the operating system */
	set_psw(0x20000);
	set_psw(0x30000);

	/*	8:idVendor_lo */
	usb_gpmsc_DeviceDescriptor[8] = (USB_VENDORID	& 0xffu);
	/*	9:idVendor_hi */
	usb_gpmsc_DeviceDescriptor[9] = ((USB_VENDORID >> 8)	& 0xffu);
	/* 10:idProduct_lo */
	usb_gpmsc_DeviceDescriptor[10] = (USB_PRODUCTID	& 0xffu);
	/* 11:idProduct_hi */
	usb_gpmsc_DeviceDescriptor[11] = ((USB_PRODUCTID >> 8)	& 0xffu),
	usbc_cstd_MainTask(0);

	usbc_cstd_MainTaskStart();
}


